Click or drag to resize
ObjectTableAddText Method (String, Plane, Double, String, Boolean, Boolean, TextJustification)

[Missing <summary> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

Namespace: Rhino.DocObjects.Tables
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public Guid AddText(
	string text,
	Plane plane,
	double height,
	string fontName,
	bool bold,
	bool italic,
	TextJustification justification
)

Parameters

text
Type: SystemString

[Missing <param name="text"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

height
Type: SystemDouble

[Missing <param name="height"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

fontName
Type: SystemString

[Missing <param name="fontName"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

bold
Type: SystemBoolean

[Missing <param name="bold"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

italic
Type: SystemBoolean

[Missing <param name="italic"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

justification
Type: Rhino.GeometryTextJustification

[Missing <param name="justification"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

Return Value

Type: Guid

[Missing <returns> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddText(System.String,Rhino.Geometry.Plane,System.Double,System.String,System.Boolean,System.Boolean,Rhino.Geometry.TextJustification)"]

See Also